Subject: bug#63555: emacs 29 complains that it can't connect to the display

From: Po Lu <[email-masked]>
Date: Sat, 20 May 2023 09:40:04 +0800

Eli Zaretskii <[email-masked]> writes:

> How did this work in Emacs 28, then?  IOW, which change broke this
> feature on Wayland?

Emacs 28 didn't have a PGTK build at all.

The trick in dispnew.c doesn't work on a PGTK build, because Emacs
doesn't know every one of the environment variables GDK backends look at
when trying to find a default display.  So if Phillip is indeed using a
PGTK build, there is no bug here.